Foreman - Bug #6884

Centos mirror in "Installation Media" doesn't work for versions without $minor
08/01/2014 08:51 AM - Jorick Astrego

Status: Closed
Priority: Low
Assignee: Daniel Lobato Garcia
Category: Unattended installations
Target version: 1.7.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2107
Description

http://mirror.centos.org/centos/$major.$minor/os/$arch, doesn't work for Centos 7 (or 6, or 5)

D, [2014-08-01T14:41:13.820310 #3745] DEBUG —-- : Starting task (total: 0): /usr/bin/wget --timeout
=10 —--tries=3 —--no-check-certificate -nv —-c "http://mirror.centos.org/centos/7./0s/x86_64/images/p
xeboot/vmlinuz" -0 "/var/lib/tftpboot/boot/Centos7-7-x86_64-vmlinuz"

D, [2014-08-01T14:41:13.914386 #3745] DEBUG —-- : Starting task (total: 0): /usr/bin/wget —--timeout
=10 —--tries=3 --no-check-certificate -nv -c "http://mirror.centos.org/centos/7./0s/x86_64/images/p
xeboot/initrd.img" -0 "/var/lib/tftpboot/boot/Centos7-7-x86_64-initrd.img"

E, [2014-08-01T14:41:14.053902 #3745] ERROR —- : [4851] http://mirror.centos.org/centos/7./0s/x86_

64/images/pxeboot/vmlinuz:
E, [2014-08-01T14:41:14.054012 #3745] ERROR —- : [4851] 2014-08-01 14:41:14 ERROR 404: Not Found.

E, [2014-08-01T14:41:14.066278 #3745] ERROR —-— : [5334] http://mirror.centos.org/centos/7./0s/x86_
64/images/pxeboot/initrd.img:

E, [2014-08-01T14:41:14.066342 #3745] ERROR —- : [5334] 2014-08-01 14:41:14 ERROR 404: Not Found.

So created a new Centos 7 mirror with:
http://mirror.centos.org/centos/$major/os/$arch

But there must be some cleaner way.

Related issues:

Related to Foreman - Bug #10841: Foreman adds Operating systems no matter what Resolved 06/16/2015
Related to Foreman - Refactor #11019: Operatingsystem model limitations New 07/06/2015
Related to Foreman - Bug #13104: CentOS minor version numbering issue - preve... Closed 01/10/2016

Associated revisions

Revision 7560679b - 02/08/2015 03:17 PM - Daniel Lobato Garcia
Fixes #6884 - Installation media without $minor generate broken $version
$version is generated with the major version and a dot, producing paths

like foo.bar/x64/7. which don't exist. For CentOS at least we want to generate
a path without the dot. The default values for these media have been changed too.

Revision 33d3ee13 - 03/04/2015 01:13 PM - Daniel Lobato Garcia

Fixes #6884 - Installation media without $minor generate broken $version
$version is generated with the major version and a dot, producing paths

like foo.bar/x64/7. which don't exist. For CentOS at least we want to generate

a path without the dot. The default values for these media have been changed too.

(cherry picked from commit 7560679b9849b0fc5¢c168d5047bd3469d719b45a)
http://mirror.centos.org/centos/$major.$minor/os/$arch
http://mirror.centos.org/centos/$major/os/$arch

Conflicts:
db/seeds.d/10-installation_media.rb

History

#1 - 08/01/2014 09:48 AM - Dominic Cleal
- Description updated

- Category set to Unattended installations

#2 - 08/22/2014 04:01 AM - Marek Hulan

Confirming, for some reason they don't have 7.0/ directory but either 7 or 7.0.1406 (see http:/mirror.centos.org/centos/)

#3 - 09/04/2014 12:12 PM - Ronald van Zantvoort

Wouldn't it be nicer to fill $release with "#{major}#{('.' + minor) unless minor.empty?}" (which is already in the code anyway, just disabled for RedHat
family)?

#4 - 12/11/2014 07:26 AM - Pasi Karkkainen

Ronald van Zantvoort wrote:

Wouldn't it be nicer to fill $release with "#{major}#{('.' + minor) unless minor.empty?}" (which is already in the code anyway, just disabled for
RedHat family)?

Yes, indeed.

This bug is still a problem.. in a fresh install of Foreman 1.7.0 you still have the broken CentOS 7.0 install media url specified as a default.

#5 - 01/25/2015 12:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2107 added
- Pull request deleted ()

#6 - 02/08/2015 04:01 PM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7560679b9849b0fc5c168d5047bd3469d719b45a.

#7 - 02/09/2015 03:35 AM - Dominic Cleal
- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release set to 28

#8 - 03/02/2015 11:59 AM - Mathieu Parent
Couldn't this be fixed in 1.7 too?

#9 - 03/03/2015 03:31 AM - Dominic Cleal

- translation missing: en.field_release changed from 28 to 32

#10 - 06/17/2015 03:29 AM - Marek Hulan
- Related to Bug #1084 1: Foreman adds Operating systems no matter what added

#11 - 07/06/2015 03:37 AM - Dominic Cleal
- Related to Refactor #11019: Operatingsystem model limitations added

#12 - 01/10/2016 04:18 PM - Michael Deffenbaugh

- Related to Bug #13104: CentOS minor version numbering issue - preventing build added
